Bug 1198472 - Configurable Workbench: Issues with onClose event in SplashScreen plugin
Summary: Configurable Workbench: Issues with onClose event in SplashScreen plugin
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: DR1
: 6.2.0
Assignee: Alexandre Porcelli
QA Contact: Tomas David
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-04 08:53 UTC by Tomas David
Modified: 2020-03-27 19:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:11:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas David 2015-03-04 08:53:19 UTC
Description of problem:
OnClose event starts several times after close SplashScreen. The event also starts when it is switched to other perspective.

Version-Release number of selected component (if applicable):
6.1.0.ER5

How reproducible:
-

Steps to Reproduce:
1. Create SplashScreen plugin. (Extensions -> Plugin Management -> New... -> New SplashScreen). Add some alert to onClose event. For example:

function() {
    alert("Closing!!!");
}

2. Refresh browser.
3. Open perspective where new SplashScreen plugin should be placed.
4. Close SplashScreen. "Closing" alert is displayed.
5. Navigate to other perspective. *)
6. Open perspective where new SplashScreen plugin should be placed.
7. Close SplashScreen. **)

Actual results:
*) "Closing" alert is displayed again.
**) "Closing" alert is displayed twice.

Expected results:
*) "Closing" alert is not displayed.
**) "Closing" alert is displayed once.

Additional info:
If you repeat procedure: switch to other perspective, return back and close splashscreen, alert is displayed increasingly.

Comment 1 Alexandre Porcelli 2015-03-05 21:21:22 UTC
Fixed on future UF master:

(to be master soon) https://github.com/uberfire/uberfire/commit/09a9bee38d25553c0b646353b3dd6faba902e248

Comment 2 Tomas David 2015-08-10 13:42:54 UTC
I cannot verify thit BZ because I cannot see created splascreen.

I create splascreen plugin, refresh browser and open perspective where splashscreen should be displayed but no splashscreen is there.

I also try to create static plugin (in business-central.war/plugins) and it works well.


Note You need to log in before you can comment on or make changes to this bug.